
/* ------------------------ Footer Section ------------------------ */

footer {
    background: var(--light-grey-color);
    padding-bottom: 12px;
    padding-top: 6px;
    
}

footer .box-container {
    display: flex;
    justify-content:  space-around;
    width: 100%;
    /* padding: 1rem 0; */
}

footer .box-container .box{
    /* border: 1px solid red; */
    display: flex;
    flex-direction: column;
    gap: 0;
}

footer .box-container .box h3 {
    font-size: 1.5rem;
    color: var(--black-text);
    padding: 1rem 0;
    margin-bottom: 1.25rem;
    position: relative;
    display: inline-block;
    width: max-content;
}

footer .box-container .box h3::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 50%;
    height: 2px;
    background: var(--green);
}

footer .box-container .box a {
    font-size: 1.2rem;
    color: var(--light-text);
    padding: 0.5rem 0;
    transition: all 0.3s ease;
    border-bottom: none !important;
}

footer .box-container .box a i {
    color: var(--green);
    padding-right: 0.5rem;
    transition: all 0.3s ease;
}

footer .box-container .box a:hover {
    color: var(--green);
    /* transform: translateX(5px); */
}

footer .box-container .box a:hover i {
    /* padding-right: 1rem; */
}



footer .box-container .box.site_info {
    font-size: 1rem;
    color: var(--light-text);
    padding-bottom: 0.5rem;    
    transition: all 0.3s ease;
    border-bottom: none !important;
}
footer .box-container .box.site_info p {
    font-size: 1.2em;
}
footer .box-container .box.site_info p:first-of-type {
    font-weight: 600;
    font-size: 1.3em;
}


footer .box-container .social-icon-images {
    display: flex;
    flex-direction: column;
    justify-content: space-between
}

footer .box-container .social-icon-images a {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

footer .box-container .social-icon-images img{
    max-height: 33px;
    height: 33px;
}




.powered-by-parent {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem 0 0;
    font-size: 1.5rem;
    margin: 3rem 0;
}
.powered-by-parent i {
    font-size: .75rem;
}
.powered-by-parent b {
    margin-left: 3px;
    margin-right: 10px;
}
.powered-by-parent div {
    display: flex;
    align-items: center;
}


.powered-by-parent a {
    font-size: 1.6rem;
    color: var(--green);
    font-weight: bold;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
}
.powered-by-parent a text1 {
    font-size: 1rem;
    margin-right: 6px;
}

.powered-by-parent a:hover {
    color: var(--dark-green);
    transform: translateY(-2px);
}




.bottom-navbar{
    text-align: center;
    background:var(--green);
    position: fixed;
    bottom:0; left:0; right:0;
    z-index: 1000;
    box-shadow: 0px 50px 50px 100px rgba(255, 255, 255, 1);
    display: none;
}

.bottom-navbar a{
    font-size: 2rem;
    padding:1rem;
    color:#fff;
}

.bottom-navbar a:hover{
    background:var(--dark-green);
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.25) ;
}

@media (max-width: 992px) {

    footer .box-container{
        display: grid;
        grid-template-columns: 1fr 1fr;
        /* padding:2rem 0; */
        padding-left: 2rem
    }
    
    
    footer .box-container .box:nth-of-type(1), footer .box-container .box:nth-of-type(2){
        margin-bottom: 1rem;
    }
    
    

    footer .box-container .social-icon-images {
        display: flex;
        flex-direction: column;
        justify-content:start
    }

    footer .box-container .social-icon-images img{
        max-height: 24px;
        height: 100%;
    }

    footer .social-icon-images {
        display: block;
        text-align: center;
    }

}

@media (max-width:768px){

    .bottom-navbar {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        
    }
}




@media (max-width: 475px) {

    footer .box-container{
        grid-template-columns: 1fr;
    }
    footer .box-container .box a{
        /* padding: 4px 0; */
    }

    footer .box-container .social-icon-images {
        display: gird;
        grid-template-columns: repeat(2, 1f);
    }

    footer .box-container .social-icon-images img{
        max-height: 24px;
        height: 100%;
    }


    .powered-by-parent {
        flex-direction: column;
    }
    .powered-by-parent div {
        flex-direction: column;
    }

}
